iCalendlyDeveloper Docs
Destination calendars

PUTUpdate Destination Calendars

Update the user's default destination calendar where newly created bookings will be programmatically written, specifying the integration slug and target external calendar identifier.

PUT/v2/destination-calendars
PUT/v2/destination-calendars

Request Body

application/jsonRequired
integrationRequiredstring

The calendar service you want to integrate, as returned by the /calendars endpoint

Value in: "apple_calendar" | "google_calendar" | "office365_calendar"
externalIdRequiredstring

Unique identifier used to represent the specific calendar, as returned by the /calendars endpoint

delegationCredentialIdstring

Header Parameters

AuthorizationRequiredstring

value must be Bearer <token> where <token> is api key prefixed with cal_ or managed user access token

curl -X PUT "https://example.com/v2/destination-calendars" \
  -H "Authorization: <string>" \
  -H "Content-Type: application/json" \
  -d '{
    "integration": "apple_calendar",
    "externalId": "https://caldav.icloud.com/26962146906/calendars/1644422A-1945-4438-BBC0-4F0Q23A57R7S/",
    "delegationCredentialId": "string"
  }'

{
  "status": "success",
  "data": {
    "userId": 0,
    "integration": "string",
    "externalId": "string",
    "credentialId": 0
  }
}